/*
Windows 95 initialization script.
*/

// "Shared" folders

const fs = current.boxedEnv.fs;
const SHARED_FOLDER_PATH = "c:/local/win95/shared";

const filesToCopy = await w96.FS.walk(SHARED_FOLDER_PATH);

let autoCreated = false;

for(let file of filesToCopy) {
    try {
        const storedPath = "shr" + file.substring(SHARED_FOLDER_PATH.length)
        
        if(storedPath == "shr/auto.bat")
            autoCreated = true;

        const fsc = await FS.readbin(file);
        await fs.createFile(storedPath, fsc);
    } catch(e) {
        console.error(e);
    }
}

if(!autoCreated) { // Avoid Win95 errors
    fs.createFile("shr/auto.bat", "@echo auto script");
}